%define momorel 6

Summary: The shared library for the Qt GUI toolkit.
Name: qt
Version: 3.2.3
Release: %{momorel}m

%global qtdir %{_libdir}/qt-%{version} 

%{?include_specopt}
%{?!with_cups:    %global with_cups 1}
%{?!buildstatic:  %global buildstatic 1}
%{?!styleplugins: %global styleplugins 0}

%if %{styleplugins}
%define plugins -plugin-sql-mysql -plugin-sql-psql -plugin-sql-odbc -plugin-style-cde -plugin-style-motifplus -plugin-style-platinum -plugin-style-sgi -plugin-style-windows -plugin-style-compact -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%else
%define plugins -plugin-sql-mysql -plugin-sql-psql -plugin-sql-odbc -qt-style-cde -qt-style-motifplus -qt-style-platinum -qt-style-sgi -qt-style-windows -qt-style-compact -qt-imgfmt-png -qt-imgfmt-jpeg -qt-imgfmt-mng
%endif

# ftp.kde.gr.jp is KDE & QT mirror site in japan.
Source0: ftp://ftp.kde.gr.jp/pub/qt/source/qt-x11-free-%{version}.tar.bz2
# Source0: ftp://ftp.trolltech.com/qt/source/qt-x11-free-%{version}.tar.bz2
NoSource: 0
Source1: qtrc.momonga

Patch1: qt-3.1.2-print-CJK.patch
Patch2: qt-3.0.5-nodebug.patch
# Patch3: qt-3.1.2-xim.patch
Patch5: qt-3.1.0-makefile.patch

Patch104: qt-x11-free-3.1.2-xim-toUseAtokx-20030313.diff
Patch107: qt-x11-free-3.1.2-xim-changeDefaultOverTheSpot-20030313.diff

# patches from qt-3.1.1-4.src.rpm(rawhide)
Patch6: qt-x11-free-3.1.0-editor.patch
Patch9: qt-x11-free-3.1.0-lib64.patch
Patch10: qt-x11-free-3.1.0-assistant.patch
Patch11: qt-x11-free-3.2.1-designer.patch
Patch12: qt-x11-free-3.1.0-header.patch
Patch15: qt-x11-free-3.2.2-qmlined.patch

# Patches 100-199 are for Qt-x11 only
# Patch100: form-fix.diff
# Patches 400-499 are from kde.gr.jp/~akito
# Patch400: qt-x11-free-3.2.2-qfontdatabase-i18n-20031024.patch
# Next patch is Momonga's derivation of akito's patch. 
Patch400: qt-x11-free-3.2.2-qfontdatabase-forLocale.patch
Patch401: qt-x11-free-3.2.1-boldFontList-20030926.patch
Patch402: qt-x11-free-3.2.3-scriptForChar-20031128.patch
Patch403: qt-x11-free-3.2.3-qpsprinter-useFreeType2-20031128.patch

Patch500: qt-x11-free-3.2.3-qfontdatabase-foralias.patch

URL: http://www.troll.no/
License: GPL or QPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/ldconfig
BuildRequires: XFree86-devel >= 4.1.0, gcc-c++, libstdc++, libstdc++-devel,
BuildRequires: libmng-devel, glibc-devel, libjpeg-devel, libpng-devel >= 1.2.2, byacc
BuildRequires: zlib-devel >= 1.1.4-5m
BuildRequires: libungif-devel
BuildRequires: openmotif-devel
#BuildRequires: Xft2-devel
# db plugins...
BuildRequires: postgresql-devel >= 7.4.1, MySQL-devel, unixODBC-devel
%if %{with_cups}
BuildRequires: cups-devel
%endif
# ccache
BuildPrereq: ccache
# conflicts man files
Conflicts: qt2 < 2.3.1-27m
Obsoletes: qt-Xt
%if !%{styleplugins}
Obsoletes: qt-styles
%endif
Requires: freetype2 libjpeg libmng zlib

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

%package devel
Summary: Development files and documentation for the Qt GUI toolkit.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The qt-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt meta
object compiler, the man pages, the HTML documentation and example
programs. See http://www.trolltech.com/products/qt.html for more
information about Qt, or look at
/usr/share/doc/qt-devel-3.0.0/html/index.html, which provides Qt
documentation in HTML format.

Install qt-devel if you want to develop GUI applications using the Qt
toolkit.

%package Xt
Summary: An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description Xt
An Xt (X Toolkit) compatibility add-on for the Qt GUI toolkit.

%package styles
Summary: Extra styles for the Qt GUI toolkit.
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description styles
Extra styles (themes) for the Qt GUI toolkit.

%package ODBC
Summary: ODBC drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description ODBC
ODBC driver for Qt's SQL classes (QSQL)

%package MySQL
Summary: MySQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description MySQL
MySQL driver for Qt's SQL classes (QSQL)

%package PostgreSQL
Summary: PostgreSQL drivers for Qt's SQL classes.
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description PostgreSQL
PostgreSQL driver for Qt's SQL classes (QSQL)

%package designer
Summary: Interface designer (IDE) for the Qt toolkit
Group: Development/Tools
Requires: %{name}-devel = %{version}-%{release}

%description designer
The qt-designer package contains an User Interface designer tool
for the Qt toolkit.

%package static
Summary: Version of the Qt GUI toolkit for static linking
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}

%if %{buildstatic}
%description static
%endif

%prep
rm -rf %{buildroot}

%setup -q -n qt-x11-free-%{version}
%patch1 -p1 -b .cjkprint
%patch2 -p1 -b .ndebug
# %%patch3 -p1 -b .xim
%patch5 -p1 -b .makefile
%patch6 -p1 -b .editor
%ifarch %{arch64}
%patch9 -p1 -b .lib64
%endif
%patch10 -p1 -b .assistant
%patch11 -p1 -b .designer
%patch12 -p1 -b .hd2
%patch15 -p1 -b .qmlined

cd src/widgets
# %%patch100 -p0 -b .form-fix
cd ../..
%patch107 -p1 -b .OverTheSpot
%patch104 -p1 -b .atok
%patch400 -p1 -b .locale
%patch401 -p1 -b .bold
%patch402 -p1 -b .cjk
%patch403 -p1 -b .qpsprint

%patch500 -p1 -b .alias

[ -f Makefile.cvs ] && make -f Makefile.cvs # this is for qt-copy in KDE CVS

%build
find . -type d -name CVS | xargs rm -rf
export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"

# clean up source tree
find . -type d -name CVS | xargs rm -rf

# Xft flags
if pkg-config xft >& /dev/null ; then
   XFTFLAGS="`pkg-config --cflags xft`"
fi

# MySQL flag
if mysql_config --cflags >& /dev/null ; then
   MYSQLFLAGS="`mysql_config --cflags`"
fi

# PGSQL flag
if pg_config --includedir --includedir-server >& /dev/null ; then
   PGFLAGS="-I`pg_config --includedir` -I`pg_config --includedir-server`"
fi

OPTFLAGS=`echo %{optflags} |sed -e s/-fno-rtti/-frtti/`
#OPTFLAGS="$OPTFLAGS $XFTFLAGS $MYSQLFLAGS $PGFLAGS"
if [ `gcc -dumpversion` = "3.3" ]; then
OPTFLAGS="$OPTFLAGS -fno-stack-protector"
fi

# don't use rpath
perl -pi -e "s|-Wl,-rpath,| |" mkspecs/*/qmake.conf

# set correct FLAGS
perl -pi -e "s,-O2,-I/usr/include/freetype2 $OPTFLAGS -fno-exceptions,g" mkspecs/*/qmake.conf

## Create a qmake target for linking without libstdc++ - avoid bloat if
## possible...
#pushd mkspecs
#for i in *-g++ qws/*-g++; do
#   [ -d $i ] || continue
#   TARGET=`echo $i |sed -e 's,g++$,gcc,'`
#   cp -aR $i $TARGET
#   perl -pi -e "s,g\+\+,gcc,g;s,^(QMAKE_LIBS[[:space:]]*=.*),\1 -lsupc++,g" $TARGET/*
#done
#popd
#perl -pi -e 's,^(.*linux.*)-g\+\+(.*),\1-gcc\2,' configure
#perl -pi -e 's,^(.*CXX.*LFLAGS.*),\1 -lsupc++,' qmake/GNUmakefile.in


# build shared, nonthreaded libraries
echo yes |./configure -prefix %{qtdir} -libdir %{qtdir}/lib -release -shared \
  -qt-gif -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -no-thread \
  -enable-opengl \
%if "%{with_cups}" == "0"
  -no-cups \
%else
  -cups \
%endif
  -sm -xinerama -xrandr -xrender -tablet -xft -xkb \
  $MYSQLFLAGS \
  $PGFLAGS \
  $XFTFLAGS

%make src-qmake
%make src-moc
%make sub-src

cp -aR lib lib-bld
cp -aR bin bin-bld
make clean
rm -rf lib bin
mv lib-bld lib
mv bin-bld bin

cp src/Makefile src/Makefile.nothread

# build shared, threaded (default) libraries
echo yes |./configure -prefix %{qtdir} -libdir %{qtdir}/lib -release -shared \
  -qt-gif -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -thread -enable-opengl \
%if "%{with_cups}" == "0"
  -no-cups \
%else
  -cups \
%endif
  -sm -xinerama -xrandr -xrender -tablet -xft -xkb \
  $MYSQLFLAGS \
  $PGFLAGS \
  $XFTFLAGS

%make src-qmake

cd plugins/src/sqldrivers/psql
qmake -o Makefile "INCLUDEPATH+=/usr/include/pgsql /usr/include/pgsql/server /usr/include/pgsql/internal" "LIBS+=-lpq" psql.pro
cd ../mysql
qmake -o Makefile "INCLUDEPATH+=/usr/include/mysql" "LIBS+=-L/usr/lib/mysql -lmysqlclient" mysql.pro
cd ../odbc
qmake -o Makefile "LIBS+=-lodbc" odbc.pro
cd ../../../..

%make src-moc
%make sub-src
%make sub-tools

cp -aR lib lib-bld
cp -aR bin bin-bld
make clean
rm -rf lib bin
mv lib-bld lib
mv bin-bld bin

%if %{buildstatic}
# don't build examples, tools and tutorials with static libraries here
echo yes |./configure -prefix %{qtdir} -libdir %{qtdir}/lib -release -static \
  -qt-gif -system-zlib -system-libpng -system-libmng -system-libjpeg \
  -no-g++-exceptions -enable-tools -enable-kernel -enable-widgets \
  -enable-dialogs -enable-iconview -enable-workspace -enable-network \
  -enable-canvas -enable-table -enable-xml -enable-sql -qt-style-motif \
  %{plugins} \
  -stl -thread \
  -enable-opengl -sm -xinerama -xrender -xft -xkb

%make src-qmake
%make src-moc
%make sub-src
%endif

%install
rm -rf %{buildroot}
export QTDIR=`/bin/pwd`
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$QTDIR/bin:$PATH"

mkdir -p %{buildroot}%{qtdir}/{bin,include,lib}
mkdir -p %{buildroot}%{_mandir}/{man1,man3}

make INSTALL_ROOT=%{buildroot} install
pushd src
make -f Makefile.nothread INSTALL_ROOT=%{buildroot} install_target
popd

# strip binaries
rm -f bin/*.bat
#for i in bin/*; do
#  strip -R .comment $i || :
#done

# install tools and libraries
rm bin/qmake
cp -fL qmake/qmake bin
for i in bin/*; do
        cp -fL $i $RPM_BUILD_ROOT/%{qtdir}/bin
        chmod 0755 $RPM_BUILD_ROOT/%{qtdir}/$i
done
cp -aR lib/* $RPM_BUILD_ROOT/%{qtdir}/lib
cp -aR plugins $RPM_BUILD_ROOT/%{qtdir}

# install man pages
cp -fR doc/man/man1/* %{buildroot}%{_mandir}/man1
cp -fR doc/man/man3/* %{buildroot}%{_mandir}/man3
#rm -rf doc/man

# clean up
make -C tutorial clean
make -C examples clean
find examples tutorial -name Makefile | xargs perl -pi -e 's|'$RPM_BUILD_DIR'/qt-x11-free-%{version}|\$\(QTDIR\)|g'
find examples tutorial -name Makefile | xargs perl -pi -e 's|[\./]*\.qmake\.cache||g'
find examples tutorial -name Makefile | xargs perl -pi -e 's|[\./]*\./src/qt_professional\.pri||g'
find examples tutorial -name Makefile | xargs perl -pi -e 's|[\./]*\./lib/libqt-mt\.prl||g'

find examples tutorial -mindepth 2 -name Makefile | xargs perl -pi -e 's|\.\./[\./]*\.\.|\.\./\.\.|g'
find examples tutorial -mindepth 2 -name Makefile | xargs perl -pi -e 's|\.\./\.\.|\$\(QTDIR\)|g'

perl -p -i -e 's|-DQT_SHARED|-DQT_SHARED -DQT_NO_STYLE_WINDOWS|g' examples/themes/Makefile

for a in */*/Makefile ; do
  sed 's|^SYSCONF_MOC.*|SYSCONF_MOC		= %{qtdir}/bin/moc|' < $a > ${a}.2
  mv -v ${a}.2 $a
done

ln -s qt-%{version} %{buildroot}%{_libdir}/qt3


mkdir -p %{buildroot}/etc/profile.d
cat > %{buildroot}/etc/profile.d/qt.sh <<EOF
# Qt initialization script (sh)
if [ -z "\$QTDIR" ] ; then
	QTDIR="%{qtdir}"
fi
export QTDIR
EOF
chmod 755 %{buildroot}/etc/profile.d/qt.sh

cat > %{buildroot}/etc/profile.d/qt.csh <<EOF
# Qt initialization script (csh)
if ( \$?QTDIR ) then
	exit
endif
setenv QTDIR "%{qtdir}"
EOF
chmod 755 %{buildroot}/etc/profile.d/qt.csh


mkdir -p %{buildroot}/usr/bin
# forget
install -m 755 bin/{findtr,qt20fix,qtrename140} %{buildroot}/%{qtdir}/bin

for i in bin/*; do
	ln -s ../lib/qt-%{version}/bin/`basename $i` %{buildroot}/%{_bindir}
	ln -s `basename $i` %{buildroot}/usr/bin/`basename $i`3
done

rm -rf %{buildroot}%{qtdir}/doc
# make symbolic link to qt docdir
if echo %{_docdir} | grep  share >& /dev/null ; then
  ln -sf  ../../share/doc/%{name}-devel-%{version} %{buildroot}%{qtdir}/doc
else
  ln -sf  ../../doc/%{name}-devel-%{version} %{buildroot}%{qtdir}/doc
fi

# Add desktop file
mkdir -p %{buildroot}/etc/X11/applnk/Development
cat >%{buildroot}/etc/X11/applnk/Development/designer.desktop <<EOF
[Desktop Entry]
BinaryPattern=designer;
Name=Qt 3.1 Designer
Comment=Qt 3.1 Interface Designer
Exec=designer
Icon=designer
InitialPreference=5
MapNotify=true
MimeType=application/x-designer
Terminal=false
Encoding=UTF-8
Type=Application
Categories=Application;Development;X-Red-Hat-Extra;
X-Desktop-File-Install-Version=0.3
EOF

# Install default settings file
mkdir -p %{buildroot}%{qtdir}/etc/settings
install -m 644 %{SOURCE1} %{buildroot}%{qtdir}/etc/settings/qtrc

# Ship qmake stuff
# Point qmake at the *-g++ target by default, apps may use libstdc++
TARGET=`ls -ld mkspecs/default |awk '{ print $11; }'`
rm mkspecs/default
ln -s `echo $TARGET |sed -e "s,gcc,g++,"` mkspecs/default
rm -rf %{buildroot}%{qtdir}/mkspecs
mkdir %{buildroot}%{qtdir}/mkspecs
cp -a mkspecs/{default,*linux*} %{buildroot}%{qtdir}/mkspecs

# Patch qmake to use qt-mt unconditionally
perl -pi -e "s,-lqt ,-lqt-mt ,g;s,-lqt$,-lqt-mt,g" %{buildroot}%{qtdir}/mkspecs/*/qmake.conf

# # pkg-config files
# mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
# cp $RPM_BUILD_ROOT%{qtdir}/lib/*.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

# remove cache file
find . -name ".qmake*cache" |xargs rm -f

# remove unpackaged files.
rm -rf %{buildroot}%{qtdir}/lib/pkgconfig
rm -f %{buildroot}%{qtdir}/lib/README
rm -f %{buildroot}%{qtdir}/lib/libqnp.prl
rm -f %{buildroot}%{qtdir}/lib/libqt.la
rm -f %{buildroot}%{qtdir}/lib/libqt-mt.la
rm -f %{buildroot}%{qtdir}/lib/qt-mt.pc
rm -f %{buildroot}%{qtdir}/lib/qt.pc
rm -rf %{buildroot}%{qtdir}/plugins/src
rm -rf %{buildroot}%{qtdir}/translations


%clean
rm -rf %{buildroot}

%post
grep -v '^%{_libdir}/qt-3' /etc/ld.so.conf >/etc/ld.so.conf.new
mv -f /etc/ld.so.conf.new /etc/ld.so.conf
echo "%{qtdir}/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
  grep -v '^%{qtdir}/lib$' /etc/ld.so.conf > /etc/ld.so.conf.new 2>/dev/null
  mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%triggerpostun -- qt < 2.1.0-4.beta1
if ! grep -q '^%{qtdir}/lib$' /etc/ld.so.conf; then
  echo "%{qtdir}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc FAQ LICENSE.QPL README* changes*
%attr(0755,root,root) %config /etc/profile.d/*
%dir %{qtdir}
%dir %{qtdir}/bin
%dir %{qtdir}/lib
%{_libdir}/qt3
%{qtdir}/bin/qtconfig
%{_bindir}/qtconfig* 
%{qtdir}/lib/libqt.so.*
%{qtdir}/lib/libqt-mt.so.*
%dir %{qtdir}/etc
%{qtdir}/etc/settings/qtrc
%dir %{qtdir}/plugins
%{qtdir}/lib/libqui.so.*
%{qtdir}/lib/libeditor.so.*
%{qtdir}/lib/libdesignercore.so.*
%{qtdir}/lib/libqassistantclient.so.*

%files devel
%defattr(-,root,root,-)
%{qtdir}/bin/assistant
%{qtdir}/bin/findtr
%{qtdir}/bin/moc
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/qt32castcompat
%{qtdir}/bin/uic
%{qtdir}/include
%{qtdir}/doc
%{qtdir}/mkspecs/*
%{qtdir}/lib/libqui.a
%{qtdir}/lib/libqt.so
%{qtdir}/lib/libqt.prl
%{qtdir}/lib/libqt-mt.a
%{qtdir}/lib/libqt-mt.so
%{qtdir}/lib/libqt-mt.prl
%{qtdir}/lib/libqui.so
%{qtdir}/lib/libqui.prl
%{qtdir}/lib/libdesignercore.so
%{qtdir}/lib/libdesignercore.prl
%{qtdir}/lib/libqassistantclient.so
%{qtdir}/lib/libqassistantclient.prl
%{qtdir}/lib/libeditor.so
%{qtdir}/lib/libeditor.prl
%{_mandir}/*/*
%{_bindir}/assistant*
%{_bindir}/moc*
%{_bindir}/uic*
%{_bindir}/findtr*
%{_bindir}/qt20fix*
%{_bindir}/qtrename140*
%{_bindir}/qmake*
%{_bindir}/qm2ts*
#%if %{pkg_config}
#%{_libdir}/pkgconfig/*
#%endif
%doc doc/*doc
%doc doc/html
%doc examples
%doc tutorial


%if %{styleplugins}
%files styles
%defattr(-,root,root,-)
%dir %{qtdir}/plugins/styles
%{qtdir}/plugins/styles/*
%endif


%files ODBC
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlodbc*

%files PostgreSQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlpsql*

%files MySQL
%defattr(-,root,root,-)
%{qtdir}/plugins/sqldrivers/libqsqlmysql*

%files designer
%defattr(-,root,root,-)
%{_bindir}/designer*
%{_bindir}/linguist*
%{_bindir}/lrelease*
%{_bindir}/lupdate*
%dir %{qtdir}/plugins/designer
%{qtdir}/plugins/designer/*
%{qtdir}/bin/designer
%{qtdir}/bin/linguist
%{qtdir}/bin/lrelease
%{qtdir}/bin/lupdate
%dir %{qtdir}/phrasebooks
%{qtdir}/phrasebooks/*
%dir %{qtdir}/templates
%{qtdir}/templates/*
%config /etc/X11/applnk/Development/designer.desktop

%changelog
* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.3-6m)
- revised spec for rpm 4.2.

* Wed Feb 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.3-5m)
- Obsoletes: qt-styles if styleplugins is defined as 0

* Thu Feb  5 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-4m)
- Fix the problem of default KDE fonts
- - add qt-x11-free-3.2.3-qfontdatabase-foralias.patch (modified patch of Fedora Core)
- - - this patch makes it enable to choose alias fonts in Qt apps
- - modified default settings (%{qtdir}/etc/settings/qtrc)
- - - default fonts are set to Sans
- - - proper [Font Substitution] settings
- - - This, with new /etc/kderc settings, fixes the problem that default fonts in KDE were very ugly and unreadable

* Fri Dec 26 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.3-3m)
- rebuild against XFree86-4.3.0.1-12m (static libraries built with -fPIC)

* Thu Dec 11 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.3-2m)
- return to qt-x11-free-3.2.2-qfontdatabase-forLocale.patch

* Fri Dec 5 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.3-1m)
- version  3.2.3

* Fri Nov 14 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.2-2m)
- updete patches from www.kde.gr.jp/~akito/

* Fri Nov 7 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.2.2-1m)
- version  3.2.2

* Sat Sep 27 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.2-10m)
- add -xrandr to configure

* Sat Sep 27 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.2-10m)
- add xrandr patch from Suzuka Beta

* Fri Sep  5 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.2-8m)
- add -fno-stack-protector if gcc is 3.3

* Wed Sep  3 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (3.1.2-7m)
- rebuild against for MySQL-4.0.14-1m

* Mon Jul 28 2003 zunda <zunda at freeshell.org>
- (3.1.2-6m)
- qt-x11-free-3.1.2-qmake-no-canonicalpath.patch makes intallation paths
  not canonical but just absolute
- license phrases changed

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-5m)
- link libstdc++ again (for kdeedu)

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- remove --libs from mysql_config

* Tue May 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-3m)
- revise qt.spec by Masahiro Nishiyama([Momonga-devel.ja:01698])
   revise compile option
   use "make INSTALL_ROOT=%{buildroot} install"
   fix examples, tutorials
   add some files
   and clean up
- add /etc/profile.d/qt.sh, /etc/profile.d/qt.sh and set QTDIR
- update qt-x11-free-3.1.2-qfont-jp-family-subst patch to 20030421
- update qt-x11-free-3.1.2-qpsprinter-ttc-otf-italic patch to 20030429

* Thu Apr 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.2-2m)
  update xim patches

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.2-1m)
- version 3.1.2

* Fri Apr 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.1-11m)
- rebuild against zlib 1.1.4-5m
- add BuildRequires: zlib-devel >= 1.1.4-5m

* Sun Mar 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-10m)
- Conflicts: qt2 < 2.3.1-27m

* Mon Mar 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-9m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-8m)
- specopt
- change macroname(cups -> with_cups)
- enable cups by default
- enable tablet support

* Sun Mar  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.1-7m)
  rebuild against openssl 0.9.7a

* Tue Feb 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-6m)
- fix examples and tutorial
- add files to %%files devel

* Tue Feb 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-5m)
- add BuildRequires: openmotif-devel

* Wed Feb 05 2003 TAKAHASHI Tamotsu <tamo>
- (3.1.1-4m)
- comment out patch4 qt-3.0.5-lock.patch, which seems
 already applied
- do not strip

* Sat Feb  1 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1.1-1m)
- ver up.


* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5-8m)
- applied new some patches (from rawhide).

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5-7m)
- applied new some patches.
- ( See http://www.kde.gr.jp/ml/Kdeveloper/msg02653.html )

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.5-6m)
- cancel gccbug patch

* Sat Oct 26 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.5-5m)
- add BuildPreReq: Xft2-devel

* Thu Oct 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5-4m)
- qt-3.0.5-Xft2.patch: add -I/usr/include/fontconfig-1.0

* Thu Oct 17 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5-3m)
- apply more Xft2 patch.
  see http://www.kde.gr.jp/~akito/xft/patch_xft.html

* Sun Oct  6 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5-2m)
- add Xft2 patch

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5-1m)
- update to 3.0.5.
- fix source URI.
- update ATOKX behavier patch from Kdeveloper-ML
- add patches (Patch104,105,200) from Kdeveloper-ML
- delete Patch103. (already applied.)

* Fri Jul 12 2002 SHINOHARA Kentarou <puntium@momonga-linux.org>
- (3.0.4-5m)
- apply keywidget patch to fix ATOKX behaviour.

* Thu Jun 13 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.4-4k)
- apply skkinput enable patch.
- clean spec file.

* Sun Jun 10 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.4-2k)
- ver up.
- applied fontname-utf8 patch(patch7).

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.0.3-12k)
- rebuild against libpng 1.2.2.

* Thu Apr 18 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-10k)
- applied qt-x11-free-3.0.3-setDefaultXIMInputStyleOverTheSpot.diff

* Tue Apr 16 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-8k)
- applied qt-x11-free-3.0.0-qclipboard-20011111.diff
- added set default "XIMInputStyle=Over The Spot"

* Sat Apr 06 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-6k)
- applied fixJapanesePrintProblem patch. (Patch102:)
- applied fixXIMFocusProblem-addSelectXIMInputStyleInQtconfig patch. (Patch103:)
- fix Source: (ftp.kde.gr.jp is a mirror site. sorry...) 

* Wed Apr 03 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.3-4k)
- add BuildPrereq: ccache

* Mon Mar 25 2002 Toru Hoshina <t@kondara.org>
- (3.0.3-2k)
- build with cups support.

* Sun Mar 24 2002 Toru Hoshina <t@kondara.org>
- (3.0.2-4k)
- build with cups support.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.2-2k)
- 1st release for Kondara.

* Mon Mar 18 2002 Toru Hoshina <t@kondara.org>
- (2.3.2-4k)
- add xim, textcodec patch.

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.3.2-2k)
- version up.

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.3.1-16k)
- nigittenu

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (2.3.1-14k)
- rebuild against fileutils 4.1.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.3.1-12k)
- rebuild against libpng 1.2.0.

* Mon Oct  8 2001 Toru Hoshina <t@kondara.org>
- [2.3.1-10k]
- qt.fontguess missed.

* Fri Sep 14 2001 Toru Hoshina <t@kondara.org>
- [2.3.1-8k]
- GIF support flag is turned on...

* Tue Sep  4 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.1-6k]
- GIF support flag is turned off again.
- rebuild against XFree86-4.1.0-8k.

* Mon Aug 20 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.1-4k]
- add aahack patch.

* Wed Aug  9 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.1-2k]
- ver up. 2.3.1.
- GIF support flag is turned on.
- R.I.P. NSPlugins. no longer supported.

* Tue Jul 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- add qt-2.3.0-nsplugin-gcc3.patch

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- [2.3.0-10k]
- applied new patch12.

* Wed Apr 11 2001 MATSUDA, Daiki <dyky@df-usa.com>
- [2.3.0-4k]
- add qt.using_new_library.patch for escaping build fail

* Thu Feb 08 2001 Kenichi Matsubara <m@kondara.org>
- [2.2.4-0.1k]
- update to 2.2.4.

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- [2.2.3-9k]
- rebuild against gcc 2.96.

* Mon Jan 01 2001 Kenichi Matsubara <m@kondara.org>
- [2.2.3-7k]
- update patches.

* Fri Dec 22 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.3-5k]
- rebuild against Alpha environment.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.3-3k]
- update to 2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-5k]
- change GIF Support switch tag.
- (Vendor to Option.)

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.8k]
- use egcs++ x86 environment.

* Mon Nov 20 2000 Toru Hoshina <toru@df-usa.com>
- [2.2.2-0.7k]
- use egcs++ instead of g++.

* Sun Nov 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.3k]
- rebuild against gcc-2.95.2 glibc-2.2

* Sat Nov 18 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.2k]
- rebuild against New environment.
- update qt-2.2.2-codec-20001116.diff.
- update qt-2.2.2-qclipboad-20001116.diff.
- add -system-mng switch.

* Wed Nov 15 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.2-0.1k]
- update to qt-2.2.2.

* Wed Nov 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-7k]
- update qt-2.2.1-qclipboard-20001107.diff.

* Fri Nov 03 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-6k]
- little bit bugfix specfile.

* Tue Oct 31 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-5k]
- add GIF support option.
- little bit bugfix. spec file.

* Thu Oct 19 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-4k]
- modified Requires[devel.Xt,NSPlugin].

* Wed Oct 18 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-3k]
- add qt-2.2.1-xim-20001014.diff.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-2k]
- enable debug mode.

* Mon Oct 09 2000 Kenichi Matsubara <m@kondara.org>
- [2.2.1-1k]
- update 2.2.1.

* Fri Sep 29 2000 Kencich Matsubara <m@kondara.org>
- add qt-2.2.0-m17n-20000929.diff
- bugfix m17n for Korean language.

* Mon Sep 18 2000 Kenichi Matsubara <m@kondara.org>
- update qt-2.2.0.
- add qt-2.2.0-codec-20000908.diff
- add qt-2.2.0-xim-20000908.diff
- add qt-2.2.0-m17n-20000908.diff

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Wed Jun 28 2000 Kenichi Matsubara <m@kondara.org>
- remove qt-2.1.0-codec.diff
- add qt-2.1.1-codec-20000628.diff

* Sun Jun 25 2000 Kenichi Matsubara <m@kondara.org>
- remove Requires: Mesa
- remove BuildPreReq: Mesa-devel

* Sat Jun 24 2000 Kenichi Matsubara <m@kondara.org>
- add qt-2.1.1-qclipboard.diff

* Fri Jun 23 2000 Koji Toriyama <toriyama@kde.gr.jp>
- del qt-2.1.0-snapshot-i18n.diff
- add qt-2.1.1-m17n-20000622.diff

* Thu Jun 01 2000 Kenichi Matsubara <m@kondara.org>
- update Qt-2.1.2 release.
- add qt-2.1.0-huge_val.patch

* Fri May 19 2000 Kenichi Matsubara <m@kondara.org>
- little modified. [ Requires: section. ]

* Wed May 17 2000 Kenichi Matsubara <m@kondara.org>
- add qt-2.1.0-codec.diff.

* Mon Apr 17 2000 Kenichi Matsubara <m@kondara.org>
- inital release Kondara MNU/Linux.
